InsecureProtocolOption (Gradle API 9.6.0)
Description: declaration: package: org.gradle.buildinit, enum: InsecureProtocolOption

Package org.gradle.buildinit

# Enum InsecureProtocolOption

java.lang.Object
java.lang.Enum<InsecureProtocolOption>
org.gradle.buildinit.InsecureProtocolOption

All Implemented Interfaces:
  `Serializable`, `Comparable<InsecureProtocolOption>`, `Constable`

public enum InsecureProtocolOption extends Enum<InsecureProtocolOption>
Options for handling insecure protocols when generating a project with repositories.

Since:
  7.3

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALLOW`
  Allow insecure protocols to be used when found.
  `FAIL`
  Fail if a URL with an insecure protocol is found.
  `UPGRADE`
  Upgrade an insecure protocol to a secure one.
  `WARN`
  Emit a warning if a URL with an insecure protocol is found.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InsecureProtocolOption`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static InsecureProtocolOption[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAIL

    public static final InsecureProtocolOption FAIL
    Fail if a URL with an insecure protocol is found. Refuse to generate a Gradle build.

  - ### WARN

    public static final InsecureProtocolOption WARN
    Emit a warning if a URL with an insecure protocol is found. The generated Gradle build will fail at runtime.

  - ### ALLOW

    public static final InsecureProtocolOption ALLOW
    Allow insecure protocols to be used when found. The generated Gradle build will not fail, but it will allow insecure protocols to be used.

  - ### UPGRADE

    public static final InsecureProtocolOption UPGRADE
    Upgrade an insecure protocol to a secure one. The generated Gradle build will not fail, but the repository may not be usable over a secure protocol.

- ## Method Details

  - ### values

    public static InsecureProtocolOption[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static InsecureProtocolOption valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null